xfce4-settings needs shimmer-themes as a dependency

Bug #1322305 reported by Matthew L. Dailey on 2014-05-22
42
This bug affects 14 people
Affects Status Importance Assigned to Milestone
xfce4-settings (Ubuntu)
Undecided
Unassigned

Bug Description

The Ubuntu xfce4-settings package contains a patch - xubuntu_vanilla-session-themes.patch - that changes the default theme to Greybird. In trusty, at least, this theme is in the shimmer-themes package, which is not a dependency of xfc4-settings. This leads to various color-related problems, such as bug #980710.

To reproduce, install the xfce4 package on Ubuntu 14.04, then log in with an xfce session. Launch gnome-terminal (Applications Menu -> Terminal Enulator) and you'll have black text on a black background. Then, log out, install shimmer-themes, and log back in - now gnome-terminal is a more usable black text on white background by default.

Please add shimmer-themes as a dependency of xfce4-settings to resolve this.

These are the specific versions where I'm experiencing the issue:

Description: Ubuntu 14.04 LTS
Release: 14.04

xfce4-settings:
  Installed: 4.11.2-1ubuntu2

shimmer-themes:
  Installed: 1.7.3-0ubuntu1

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xfce4-settings (Ubuntu):
status: New → Confirmed
summary: - xfc4-settings needs shimmer-themes as a dependency
+ xfce4-settings needs shimmer-themes as a dependency
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-settings - 4.11.3-0ubuntu2

---------------
xfce4-settings (4.11.3-0ubuntu2) utopic; urgency=medium

  * Update debian/control to better support stock Xfce sessions with
    xubuntu_vanilla-session-themes.patch
    - Add greybird-gtk-theme to Recommends (LP: #1050012, #1322305)
    - Add xubuntu-icon-theme to Recommends (LP: #1157706)
 -- Sean Davis <email address hidden> Wed, 24 Sep 2014 20:18:24 -0400

Changed in xfce4-settings (Ubuntu):
status: Confirmed → Fix Released
tags: added: trusty
V字龍(Vdragon) (vdragon) wrote :

Can any developer backport the fix to Ubuntu 14.04?

tags: added: packaging
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers